import { ComponentPublicInstance, ExtractPropTypes, MaybeRefOrGetter, PropType } from 'vue';
import { AllLanguagesSupported } from '../utils';
export declare const codeBlockProps: () => {
    readonly class: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly default: "";
    };
    readonly id: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly default: "";
    };
    readonly code: {
        readonly type: PropType<string>;
        readonly required: true;
    };
    readonly language: {
        readonly type: PropType<AllLanguagesSupported>;
        readonly required: false;
        readonly default: "markup";
    };
    readonly codeClass: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly default: "";
    };
    readonly linesHighlighted: {
        readonly type: PropType<string[] | number[]>;
        readonly required: false;
        readonly default: readonly [];
    };
    readonly wordsHighlighted: {
        readonly type: PropType<string[]>;
        readonly required: false;
        readonly default: readonly [];
    };
    readonly asElement: {
        readonly type: PropType<string>;
        readonly required: false;
        readonly default: "";
    };
    readonly numbered: {
        readonly type: PropType<boolean>;
        readonly required: false;
        readonly default: false;
    };
};
export type codeBlockProps = ExtractPropTypes<ReturnType<typeof codeBlockProps>>;
export type codeBlockExpose = {};
export type codeBlockInstance = ComponentPublicInstance<codeBlockProps, codeBlockExpose>;
export interface UseCodeBlockProps {
    class: MaybeRefOrGetter<string | null>;
    id: MaybeRefOrGetter<string | null>;
    code: MaybeRefOrGetter<string>;
    language: MaybeRefOrGetter<string>;
    codeClass: MaybeRefOrGetter<string>;
    linesHighlighted: MaybeRefOrGetter<string[] | number[]>;
    wordsHighlighted: MaybeRefOrGetter<string[]>;
    asElement: MaybeRefOrGetter<string | null>;
    numbered: MaybeRefOrGetter<boolean>;
}
export type PublicCodeBlockProps = Partial<Omit<UseCodeBlockProps, 'code' | 'class' | 'id' | 'language' | 'codeClass' | 'linesHighlighted' | 'wordsHighlighted' | 'asElement' | 'numbered'>> & Pick<UseCodeBlockProps, 'code' | 'class' | 'id' | 'language' | 'codeClass' | 'linesHighlighted' | 'wordsHighlighted' | 'asElement' | 'numbered'>;
