import { ComponentPublicInstance, ExtractPropTypes, MaybeRefOrGetter, PropType } from 'vue';
type CodeProps = {
    code: string[];
    language: string;
    linesHighlighted: string[] | number[];
    wordsHighlighted: string[];
    asElement: string;
    numbered: boolean;
};
export declare const codeProps: () => {
    readonly value: {
        readonly type: PropType<CodeProps>;
        readonly required: true;
    };
};
export type codeProps = ExtractPropTypes<ReturnType<typeof codeProps>>;
export type codeExpose = {};
export type codeInstance = ComponentPublicInstance<codeProps, codeExpose>;
export interface UseCodeProps {
    value: MaybeRefOrGetter<object>;
}
export type PublicCodeProps = Partial<Omit<UseCodeProps, 'value'>> & Pick<UseCodeProps, 'value'>;
export {};
