import { ComponentPublicInstance, ExtractPropTypes, MaybeRefOrGetter, PropType } from 'vue';
export declare const lineProps: () => {
    readonly line: {
        readonly type: PropType<string>;
        readonly required: true;
    };
    readonly numbered: {
        readonly type: PropType<boolean>;
        readonly required: false;
        readonly default: false;
    };
    readonly number: {
        readonly type: PropType<number>;
        readonly required: false;
        readonly default: 0;
    };
};
export type lineProps = ExtractPropTypes<ReturnType<typeof lineProps>>;
export type lineExpose = {};
export type lineInstance = ComponentPublicInstance<lineProps, lineExpose>;
export interface UseLineProps {
    line: MaybeRefOrGetter<object>;
    numbered: MaybeRefOrGetter<boolean>;
    number: MaybeRefOrGetter<number>;
}
export type PublicLineProps = Partial<Omit<UseLineProps, 'line' | 'numbered' | 'number'>> & Pick<UseLineProps, 'line' | 'numbered' | 'number'>;
